package hu.sch.appclient;

import hu.sch.services.AppClientRemote;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.URL;
import javax.naming.InitialContext;
import javax.net.ssl.HttpsURLConnection;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import javax.swing.SwingConstants;

/**
 *
 * @author aldaris
 */
public class Main extends JFrame implements ActionListener {

    private JButton loginButton = new JButton("Belépés");
    private JLabel userNameLbl = new JLabel("Felhasználó:", SwingConstants.RIGHT);
    private JTextField userNameTf = new JTextField();
    private JLabel passwordLbl = new JLabel("Jelszó:", SwingConstants.RIGHT);
    private JPasswordField passwordTf = new JPasswordField();

    Main() {

        Insets insets = new Insets(5, 0, 5, 10);
        setLayout(new GridBagLayout());
        GridBagConstraints constraints = new GridBagConstraints();
        constraints.gridx = 0;
        constraints.gridy = 0;
        constraints.insets = insets;
        add(userNameLbl, constraints);
        constraints = new GridBagConstraints();
        constraints.gridx = 1;
        constraints.gridy = 0;
        constraints.insets = insets;
        userNameTf.setPreferredSize(new Dimension(100, 20));
        add(userNameTf, constraints);
        constraints = new GridBagConstraints();
        constraints.gridx = 0;
        constraints.gridy = 1;
        constraints.insets = insets;
        add(passwordLbl, constraints);
        constraints = new GridBagConstraints();
        constraints.gridx = 1;
        constraints.gridy = 1;
        constraints.insets = insets;
        passwordTf.setPreferredSize(new Dimension(100, 20));
        passwordTf.addActionListener(this);
        add(passwordTf, constraints);

        constraints = new GridBagConstraints();
        constraints.gridx = 0;
        constraints.gridy = 2;
        constraints.gridwidth = 2;
        constraints.insets = insets;
        loginButton.addActionListener(this);
        add(loginButton, constraints);
        setSize(300, 150);
        setVisible(true);
    }

    public static void main(String args[]) {
        new Main().setDefaultCloseOperation(EXIT_ON_CLOSE);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getSource().equals(loginButton) || e.getSource().equals(passwordTf)) {
            try {
                URL url = new URL("https://aldaris.sch.bme.hu");
                HttpsURLConnection conn = (HttpsURLConnection) url.openConnection();
                conn.getInputStream();
                InitialContext ic = new InitialContext();
                AppClientRemote appClient = (AppClientRemote) ic.lookup("java:global/quickstart/korok-ejb/AppClientBean");
                JOptionPane.showMessageDialog(this, "appClient is: " + appClient);
            } catch (Exception ex) {
                JOptionPane.showMessageDialog(this, ex.getMessage(), "HIBA", JOptionPane.ERROR_MESSAGE);
                ex.printStackTrace();
            }
        }
    }
}
